<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LearnModel_List.aspx.cs" Inherits="RM.Web.Training.Learn.LearnModel_List" %>
<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_List")%></title>
 <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <%--<script src="../../Themes/Scripts/jQuery.lightMenu-1.0.0.js" type="text/javascript"></script>--%>
   
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
         <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_List")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>

    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
        });
        //新增
        function addCsScript() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/Learn/Learn_Custom_Sys.aspx?Key=" + key;
                parent.window.location = url;
            }
        }
        function add() {
            var url = "/Training/Learn/Learn_Custom_Sys.aspx";
            parent.window.open(url);
        }
        //编辑
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/Learn/Learn_Custom_Sys.aspx?Key=" + key;
                parent.window.open(url);
                //                window.location = url;
            }
        }
        //删除
        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_List")%>&tableName=TKS_LearningModel&pkName=Learning_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        globalSetTags('TKS_LearningModel', 'Learning_ID');
    </script>
    
</body>
</html>
